Name:           wmglobe
Version:        1.3
Release:        %mkrel 13
Summary:        A dock application displaying a spinning earth on a icon
License:        GPLv2
Group:          Sciences/Geosciences

URL:            http://web.cs.mun.ca/~gstarkes/wmaker/dockapps/other.html#wmglobe
Source0:        ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/%{name}-%{version}.tar.gz

#add CFLAGS variable in Makefile to allow for overloading and removing
#explicit stripping preventing debugfiles
Patch0:         wmglobe-1.3-makefile.patch
#fix security error on string litteral
Patch1:         wmglobe-1.3-fprintf.patch

BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(wrlib)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  libjbig-devel
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  libungif-devel


%description
Wmglobe is a WindowMaker dock application that displays the earth on
an icon. It uses a map which is rendered on a sphere by ray tracing.
Yes, for a 64x64 pixel result, that's why you want to see wmglobe!



%prep
%setup -q
%patch0 -p1 -b .cflagstrip
%patch1 -p1 -b .fprintf

iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README
iconv -f iso8859-1 -t utf-8 %{name}.1 > %{name}.1.conv && mv -f %{name}.1.conv %{name}.1


%build
%make_build CFLAGS="%optflags -fcommon" \
      LIBS="%ldflags -lX11 -lXext -lm -ltiff -lXpm -lpng -lz -ljpeg -lungif -lwraster"


%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc README CHANGES COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*




%changelog
* Mon Jul 06 2020 joequant <joequant> 1.3-13.mga8
+ Revision: 1602575
- build gcc10

* Fri Feb 14 2020 umeabot <umeabot> 1.3-12.mga8
+ Revision: 1518197
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3-11.mga7
+ Revision: 1301693
- Mageia 7 Mass Rebuild

* Tue Apr 04 2017 eatdirt <eatdirt> 1.3-10.mga6
+ Revision: 1095874
- Rebuild for new windowmaker

* Wed Feb 17 2016 umeabot <umeabot> 1.3-9.mga6
+ Revision: 963274
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 eatdirt <eatdirt> 1.3-8.mga6
+ Revision: 888494
- Rebuild for new libwraster

* Wed Oct 15 2014 umeabot <umeabot> 1.3-7.mga5
+ Revision: 744837
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-6.mga5
+ Revision: 690339
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3-5.mga4
+ Revision: 520253
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3-4.mga3
+ Revision: 385744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.3-3.mga3
+ Revision: 314648
- Rebuild for mga3

* Tue Jan 24 2012 eatdirt <eatdirt> 1.3-2.mga2
+ Revision: 200497
+ rebuild (emptylog)

* Tue Jan 24 2012 eatdirt <eatdirt> 1.3-1.mga2
+ Revision: 200484
- imported package wmglobe

